curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/job_families', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 3,
"results": [
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"active": true,
"job_family_name": "Software Engineer",
"job_family_group": "IT & Engineering"
},
{
"external_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db",
"active": true,
"job_family_name": "Data Scientist",
"job_family_group": "IT & Engineering"
},
{
"external_id": "6129e3f1-663f-44ea-aa3f-2ce1077b834c",
"active": true,
"job_family_name": "Data Engineer",
"job_family_group": "IT & Engineering"
}
]
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]List Job Families
Get a list of all Job Families available in the system. This can for example be used to keep track of proper synchronisation between your system and the Skill Engine API.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The maximal number of entities returned, ordered by the last_updated field and external_id.
1 <= x <= 20050
The applied offset for returned entities, results starting from offset up to offset + limit.
x >= 0This parameter can be used to only include entities with the active attribute set to true or false. If the parameter is not set, all entities will be included.
true
Additional entity attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.
custom_properties ["custom_properties"]
Response
OK
Total number of Job Family objects stored inside the system.
x >= 03
Subset of Job Families starting from offset up to offset + limit.
Show child attributes
Show child attributes
[
{
"external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
"active": true,
"job_family_name": "Software Engineer",
"job_family_group": "IT & Engineering"
},
{
"external_id": "62d2c013-ab77-410e-b5fb-2f96eed9c1db",
"active": true,
"job_family_name": "Data Scientist",
"job_family_group": "IT & Engineering"
},
{
"external_id": "6129e3f1-663f-44ea-aa3f-2ce1077b834c",
"active": true,
"job_family_name": "Data Engineer",
"job_family_group": "IT & Engineering"
}
]
Was this page helpful?